import request from '@/utils/request'

// 查询轮胎基础信息列表
export function listCarQueue(query) {
    return request({
        url: '/carqueue/carqueue/list',
        method: 'get',
        params: query
    })
}

// 查询轮胎基础信息详细
export function getCarQueue(id) {
    return request({
        url: '/basetyre/basetyre/' + id,
        method: 'get'
    })
}

// 新增轮胎基础信息
export function addCarQueue(data) {
    return request({
        url: '/basetyre/basetyre',
        method: 'post',
        data: data
    })
}

// 修改轮胎基础信息
export function updateCarQueue(data) {
    return request({
        url: '/basetyre/basetyre',
        method: 'put',
        data: data
    })
}

// 删除轮胎基础信息
export function delCarQueue(id) {
    return request({
        url: '/basetyre/basetyre/' + id,
        method: 'delete'
    })
}
